[SCM] Position Astronomy Library branch, master, updated. 36748ae402ba623eae1d06cd6b1a2b10ca968b08

Ole Streicher debian at liska.ath.cx
Tue Mar 27 08:59:23 UTC 2012


The following commit has been merged in the master branch:
commit 36748ae402ba623eae1d06cd6b1a2b10ca968b08
Author: Ole Streicher <debian at liska.ath.cx>
Date:   Tue Mar 27 10:58:44 2012 +0200

    Initial debian files

diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..887a2bc
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+starlink-pal (0.1.0~git20120323-1) unstable; urgency=low
+
+  * Initial release. Closes: #659984
+
+ -- Ole Streicher <debian at liska.ath.cx>  Tue, 27 Mar 2012 11:00:00 +0100
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..7f8f011
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+7
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..e592eaa
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,37 @@
+Source: starlink-pal
+Section: science
+Priority: extra
+Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.debian.org>
+Uploaders: Ole Streicher <debian at liska.ath.cx>
+Build-Depends: debhelper (>= 7.5.0), autotools-dev, dh-autoreconf,
+ libsofa-c-dev
+Standards-Version: 3.9.3
+Homepage: http://starlink.jach.hawaii.edu/starlink
+Vcs-Git: git://git.debian.org/git/debian-science/packages/starlink-pal.git
+Vcs-Browser: http://git.debian.org/?p=debian-science/packages/starlink-pal.git
+
+Package: libstarlink-pal-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}, libstarlink-pal0 (= ${binary:Version})
+Description: Positional Astronomy Library (development files)
+ This library is a collection of code designed to aid in replacing the SLA
+ library with code from NOVAS and IAU SOFA. 
+ .
+ Where possible the API is similar to the C SLA API except for the use of a
+ "pal" prefix. 
+ .
+ This package contains the development files.
+
+Package: libstarlink-pal0
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Positional Astronomy Library (shared library)
+ This library is a collection of code designed to aid in replacing the SLA
+ library with code from NOVAS and IAU SOFA. 
+ .
+ Where possible the API is similar to the C SLA API except for the use of a
+ "pal" prefix. 
+ .
+ This library contains the shared library.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..494f311
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,26 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: PAL
+Upstream-Author: Tim Jenness <t.jenness at jach.hawaii.edu>
+Source: http://starlink.jach.hawaii.edu/starlink
+
+Files: *
+Copyright: Copyright (C) 2012 Science and Technology Facilities Council,
+ Copyright (C) 2001 Rutherford Appleton Laboratory
+License: GPLv3+
+ This program is free software; you can redistribute it and/or
+ modify it under the terms of the GNU General Public License as
+ published by the Free Software Foundation; either version 3 of
+ the License, or (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE. See the GNU General Public License for more details.
+ .
+ On Debian systems, the complete text of the GNU General 
+ Public License can be found in `/usr/share/common-licenses/GPL-3'.
+
+Files: debian/*
+Copyright: not applicable
+License: public-domain
+ Debian packaging by Ole Streicher <debian at liska.ath.cx>
diff --git a/debian/get-orig-source.sh b/debian/get-orig-source.sh
new file mode 100644
index 0000000..c3852ed
--- /dev/null
+++ b/debian/get-orig-source.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+TMPDIR=$(mktemp --directory)
+trap "rm -fr ${TMPDIR} || exit 1" EXIT INT TERM
+
+PACKAGE_NAME=starlink-pal
+#
+# Download and unpack the main source
+# This is the sub directory libraries/sla of the git repository
+#
+H=cef5b81fc74e556415e7c8792a0a5a9bb94275f9
+URL="http://starlink.jach.hawaii.edu/git/?p=starlink.git;a=snapshot;h=${H};sf=tgz"
+wget -O ${TMPDIR}/${PACKAGE_NAME}-git.tar.gz "${URL}"
+tar xf ${TMPDIR}/${PACKAGE_NAME}-git.tar.gz -C ${TMPDIR}
+
+#
+# Retrieve package version from the AC_INIT(sla, 2.5-6, ussc at star.rl.ac.uk)
+# line of configure.ac
+#
+VERSION=$(echo $(fgrep AC_INIT ${TMPDIR}/starlink/configure.ac |cut -d, -f2 | tr - .))
+
+#
+# Touch all files with a specific (release) date to ensure that the 
+# MD5 checksum doesn't change.
+#
+DATE="Fri, 23 Mar 2012 19:55:48 +0000"
+touch -d "${DATE}" ${TMPDIR}/starlink ${TMPDIR}/starlink/*
+VERSION=${VERSION}~git$(date -d "${DATE}" +%Y%m%d)
+
+#
+# Repack everything into .orig.tar.gz
+#
+mv ${TMPDIR}/starlink ${TMPDIR}/${PACKAGE_NAME}-${VERSION}
+TAR_NAME=${PACKAGE_NAME}_${VERSION}.orig.tar
+tar cf ${TAR_NAME} -C ${TMPDIR} ${PACKAGE_NAME}-${VERSION} 
+gzip -n -9 -f ${TAR_NAME}
+
+#
+# Check or print out the MD5 checksum
+#
+case ${VERSION} in
+    0.1.0~git20120323)
+	echo "3c5a3d04cee7d9376dab61b6c1b0b658  ${TAR_NAME}.gz" | \
+	md5sum -c -
+	;;
+    *)
+	md5sum ${PACKAGE_NAME}_${VERSION}.orig.tar.gz
+	;;
+esac
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..65931be
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,22 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@ --with autoreconf
+
+override_dh_autoreconf:
+	cp sla.news NEWS
+	cp SLA_CONDITIONS COPYING
+	cp read.me README
+	AUTOMAKE="automake --foreign" dh_autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure -- --without-cnf --with-pthreads
+
+FFLAGS+=-frecursive -DUSE_LOCAL_AUTO
+
+debiandir_SQ = $(subst ','\'',$(dir $(lastword $(MAKEFILE_LIST))))
+get-orig-source:
+	sh '$(debiandir_SQ)'get-orig-source.sh
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..902e96a
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,3 @@
+# Empty file since the source is downloaded from a git repository.
+# Use get-orig-source.sh or the "rules" target get-orig-source
+# to download the current source tree.

-- 
Position Astronomy Library



More information about the debian-science-commits mailing list